package org.xyzh.common.dto.usercenter;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 积分记录表
 * @filename TbPointsRecord.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbPointsRecord extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 用户ID
     */
    private String userID;
    
    /**
     * @description 积分变动
     */
    private Integer points;
    
    /**
     * @description 类型（1获得 2消费）
     */
    private Integer type;
    
    /**
     * @description 来源类型（1学习资源 2学习课程 3完成任务 4获得成就）
     */
    private Integer sourceType;
    
    /**
     * @description 来源ID
     */
    private String sourceID;
    
    /**
     * @description 说明
     */
    private String description;

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public Integer getPoints() {
        return points;
    }

    public void setPoints(Integer points) {
        this.points = points;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getSourceType() {
        return sourceType;
    }

    public void setSourceType(Integer sourceType) {
        this.sourceType = sourceType;
    }

    public String getSourceID() {
        return sourceID;
    }

    public void setSourceID(String sourceID) {
        this.sourceID = sourceID;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    @Override
    public String toString() {
        return "TbPointsRecord{" +
                "id=" + getID() +
                ", userID='" + userID + '\'' +
                ", points=" + points +
                ", type=" + type +
                ", sourceType=" + sourceType +
                ", sourceID='" + sourceID + '\'' +
                ", createTime=" + getCreateTime() +
                '}';
    }
}
